> For the complete documentation index, see [llms.txt](https://docs.aic-eec.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aic-eec.com/general/hot-cloud/installations/install-telegraf.md).

# Install Telegraf

Install and configure Telegraf

```java
sudo docker pull telegraf
```

Create a default configuration

```
sudo docker run --rm telegraf telegraf config > telegraf.conf
```

* Do the configuration on telegraf.conf and search for "mqtt\_consumer" and add/modify the following lines:

```
server = ["tcp://raspberry_pi_ip:1883"]
topics = [
  "sensors"
]
data_format = "influx"
```

**Note:** "raspberry\_pii\_ip" is the actual ip address of the raspberry PI. You can check its IP by going to the terminal on raspberry pi command line "ifconfig" and find for "inet addr".&#x20;

* Then, look for outputs.influxdb and add/modify the following lines

```
urls = ["http://raspberry_pi_ip:8086"]
database = "sensors"
skip_database_creation = true
username = "telegraf"
password = "telegraf"
```

**Note:** The output file normally is located in "/home". Open that file and do the modification above. Don't forget to un-command the line that is modified. Otherwise, it won't work.&#x20;

* Finally, run Telegraf

```
sudo docker run -v /home/pi/:/etc/telegraf:ro telegraf
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.aic-eec.com/general/hot-cloud/installations/install-telegraf.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
